# Uses of Interface
org.eclipse.emf.cdo.security.Role

Packages that use Role
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.
org.eclipse.emf.cdo.server.security
Server integration of the `Security` model.
org.eclipse.emf.cdo.server.spi.security
Server provider interfaces (SPI) for the server integration of the `Security` model.

## Uses of Role in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return Role
Modifier and Type
Method
Description
`Role`
SecurityItemContainer.`addRole(String id)`
`Role`
SecurityFactory.`createRole()`
Returns a new object of class 'Role'.
`Role`
SecurityFactory.`createRole(String id)`
`static Role`
RealmUtil.`findRole(EList<SecurityItem> items, String roleID)`
`Role`
Permission.`getRole()`
Returns the value of the 'Role' container reference.
`Role`
SecurityItemProvider.`getRole(String id)`
`static Role`
RealmUtil.`removeRole(EList<SecurityItem> items, String roleID)`
`Role`
SecurityItemContainer.`removeRole(String id)`
Methods in org.eclipse.emf.cdo.security that return types with arguments of type Role
Modifier and Type
Method
Description
`static BasicEList<Role>`
RealmUtil.`allRoles(EList<SecurityItem> items)`
`EList<Role>`
Group.`getAllRoles()`
Returns the value of the 'All Roles' reference list.
`EList<Role>`
Realm.`getAllRoles()`
Returns the value of the 'All Roles' reference list.
`EList<Role>`
User.`getAllRoles()`
Returns the value of the 'All Roles' reference list.
`EList<Role>`
Assignee.`getRoles()`
Returns the value of the 'Roles' reference list.
`EList<Role>`
User.`getUnassignedRoles()`
Returns the value of the 'Unassigned Roles' reference list.
Methods in org.eclipse.emf.cdo.security with parameters of type Role
Modifier and Type
Method
Description
`void`
Permission.`setRole(Role value)`
Sets the value of the '`Role`' container reference.

## Uses of Role in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement Role
Modifier and Type
Class
Description
`class`
`RoleImpl`
An implementation of the model object 'Role'.
Methods in org.eclipse.emf.cdo.security.impl that return Role
Modifier and Type
Method
Description
`Role`
DirectoryImpl.`addRole(String id)`
`Role`
RealmImpl.`addRole(String id)`
`Role`
SecurityFactoryImpl.`createRole()`
`Role`
SecurityFactoryImpl.`createRole(String id)`
`Role`
DirectoryImpl.`getRole(String id)`
`Role`
PermissionImpl.`getRole()`
`Role`
RealmImpl.`getRole(String id)`
`Role`
DirectoryImpl.`removeRole(String id)`
`Role`
RealmImpl.`removeRole(String id)`
Methods in org.eclipse.emf.cdo.security.impl that return types with arguments of type Role
Modifier and Type
Method
Description
`EList<Role>`
GroupImpl.`getAllRoles()`
`EList<Role>`
RealmImpl.`getAllRoles()`
`EList<Role>`
UserImpl.`getAllRoles()`
`EList<Role>`
AssigneeImpl.`getRoles()`
`EList<Role>`
UserImpl.`getUnassignedRoles()`
Methods in org.eclipse.emf.cdo.security.impl with parameters of type Role
Modifier and Type
Method
Description
`void`
PermissionImpl.`setRole(Role newRole)`

## Uses of Role in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type Role
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseRole(Role object)`
Returns the result of interpreting the object as an instance of 'Role'.
`boolean`
SecurityValidator.`validateRole(Role role, DiagnosticChain diagnostics, Map<Object,Object> context)`

## Uses of Role in org.eclipse.emf.cdo.server.security

Methods in org.eclipse.emf.cdo.server.security that return Role
Modifier and Type
Method
Description
`static Role`
SecurityManagerUtil.`addResourceRole(Realm realm, String roleName, String resourcePath, boolean writable)`
Methods in org.eclipse.emf.cdo.server.security with parameters of type Role
Modifier and Type
Method
Description
`static void`
SecurityManagerUtil.`addResourcePermissions(Role role, String resourcePath, boolean writable)`

## Uses of Role in org.eclipse.emf.cdo.server.spi.security

Methods in org.eclipse.emf.cdo.server.spi.security with parameters of type Role
Modifier and Type
Method
Description
`protected void`
HomeFolderHandler.`handleUser(CDOTransaction transaction, Realm realm, Role role, User user)`
`protected void`
HomeFolderHandler.`initRole(Role role)`